""" Limit the length of all selected clips to 4 Seconds """

# ***************************************************** 
# * Author: Harold Linke
# * Date: October 7, 2018
# *
# * History of Change
# * ***************************************************
# * * Version * dd/mm/yyyy * Comment
# * ***************************************************
# * * 1.0     * 07/10/2018 * inital creation based on JScript script 
# * *         *            * by: Author: Edward Troxel www.jetdv.com/tts
# * *         *            * Last Modification: 05-29-2003
# * ***************************************************
# * *         *            * 
# * *         *            * 
# * ***************************************************
# * *         *            * 
# * *         *            * 
# * *         *            * 
#******************************************************

import clr
clr.AddReference('System.Windows.Forms')
import System.Windows.Forms

clr.AddReference('ScriptPortal.Vegas')
import ScriptPortal.Vegas
from ScriptPortal.Vegas import *

# adapt this value to your needs
maxLength = Timecode.FromString("00:00:04:00")
 
  # Go through the list of Tracks
for track in pyVEGAS.Project.Tracks:
    for evnt in track.Events:
        if (evnt.Selected):
            dLength = evnt.Length
            if dLength > maxLength:
                dLength = maxLength
            evnt.Length = dLength
