""" Add a 2 Second gap between all events on the selected timeline """

# ***************************************************** 
# * Author: Harold Linke
# * Date: October 12, 2018
# *
# * History of Change
# * ***************************************************
# * * Version * dd/mm/yyyy * Comment
# * ***************************************************
# * * 1.0     * 07/10/2018 * inital creation based on JScript script 
# * *         *            * by: Author: Johnny (Roy) Rofrano  john_rofrano@hotmail.com
# * *         *            * Last Modification: March 24, 2004
# * ***************************************************
# * *         *            * 
# * *         *            * 
# * ***************************************************
# * *         *            * 
# * *         *            * 
# * *         *            * 
#******************************************************

Gap = Timecode.FromString("00:00:02:00")

for track in pyVEGAS.Project.Tracks:
    if track.Selected:
        tracktime=Gap
        for evnt in track.Events:
#            print("Start1",evnt.Start)
            evnt.Start=tracktime
#            print("Start2",evnt.Start)
            pyVEGAS.UpdateUI()
            tracktime = tracktime + evnt.Length + Gap
#            print("Tracktime",tracktime)

        
